The Bluetooth of DW1707 doesn't work. [0cf3:e005] Atheros Communications, Inc.

Bug #1245345 reported by AceLan Kao on 2013-10-28
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux-firmware (Ubuntu)
Undecided
AceLan Kao
Declined for Quantal by Tim Gardner
Declined for Raring by Tim Gardner
Precise
Undecided
Tim Gardner

Bug Description

Title: The Bluetooth of DW1707 doesn't work. [0cf3:e005] Atheros Communications, Inc.

Summary: The Bluetooth of DW1707 doesn't work. [0cf3:e005] Atheros Communications, Inc.

Steps:
1. Install 3.5.0-43#66 kernel and boot into OS
2. Execute `hcitool scan` when there are some Bluetooth devices around.

Expected results: The output of `hcitool scan` should find some devices.

Actual results: There is no device at all.

AceLan Kao (acelankao) wrote :

In kernel changelog, it shows
linux-lts-quantal (3.5.0-43.66~precise1) precise; urgency=low
  * Bluetooth: Add a new PID/VID 0cf3/e005 for AR3012.
    - LP: #1241093
So, the device is supported by kernel 3.5.0-43.66,
but actually it lacks of the required firmwares.

commit e50d0d4a90cbf02e96d23d688ea4b5509df63642
Author: Costa Yao <email address hidden>
Date: Thu Apr 26 14:38:06 2012 +0800

    ar3k: add patch and sysconfig for QCA9564(Aphrodite)

    add patch and sysconfig for Qualcomm Atheros QCA9564

    Signed-off-by: Costa Yao <email address hidden>
    Signed-off-by: Ben Hutchings <email address hidden>

diff --git a/WHENCE b/WHENCE
index 10155e7..cc1a15f 100644
--- a/WHENCE
+++ b/WHENCE
@@ -1790,6 +1790,8 @@ File: ar3k/ramps_0x01020001_26.dfu
 File: ar3k/AthrBT_0x01020200.dfu
 File: ar3k/ramps_0x01020200_26.dfu
 File: ar3k/ramps_0x01020200_40.dfu
+File: ar3k/AthrBT_0x31010000.dfu
+File: ar3k/ramps_0x31010000_40.dfu

 Licence: Redistributable. See LICENCE.atheros_firmware for details

diff --git a/ar3k/AthrBT_0x31010000.dfu b/ar3k/AthrBT_0x31010000.dfu
new file mode 100644
index 0000000..3bd76c0
Binary files /dev/null and b/ar3k/AthrBT_0x31010000.dfu differ
diff --git a/ar3k/ramps_0x31010000_40.dfu b/ar3k/ramps_0x31010000_40.dfu
new file mode 100644
index 0000000..1da3631
Binary files /dev/null and b/ar3k/ramps_0x31010000_40.dfu differ

Changed in linux (Ubuntu):
assignee: nobody → AceLan Kao (acelankao)
status: New → In Progress
tags: added: blocks-hwcert-enablement
AceLan Kao (acelankao) wrote :

And this one

commit 5c7fc9e29438119aaa4dcb8d47b79902209b75d6
Author: Peng Chen <email address hidden>
Date: Mon Nov 12 13:24:10 2012 +0800

    Update patch and syscfg files for QCA9564.

    Signed-off-by: Peng Chen <email address hidden>
    Signed-off-by: Ben Hutchings <email address hidden>

diff --git a/ar3k/AthrBT_0x31010000.dfu b/ar3k/AthrBT_0x31010000.dfu
index 3bd76c0..935beb3 100644
Binary files a/ar3k/AthrBT_0x31010000.dfu and b/ar3k/AthrBT_0x31010000.dfu differ
diff --git a/ar3k/ramps_0x31010000_40.dfu b/ar3k/ramps_0x31010000_40.dfu
index 1da3631..ef3d79d 100644
Binary files a/ar3k/ramps_0x31010000_40.dfu and b/ar3k/ramps_0x31010000_40.dfu differ

affects: linux (Ubuntu) → linux-firmware (Ubuntu)
Tim Gardner (timg-tpi) on 2013-10-29
Changed in linux-firmware (Ubuntu Precise):
status: New → Fix Committed
assignee: nobody → Tim Gardner (timg-tpi)
AceLan Kao (acelankao) on 2013-10-30
Changed in linux-firmware (Ubuntu):
status: In Progress → Fix Committed

Hello AceLan, or anyone else affected,

Accepted linux-firmware into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/linux-firmware/1.79.8 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Adam Conrad (adconrad) wrote :

Hello AceLan, or anyone else affected,

Accepted linux-firmware into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/linux-firmware/1.79.9 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

AceLan Kao (acelankao) wrote :

Test on linux-firmware 1.79.9, the bt works.

tags: added: verification-done

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.79.9

---------------
linux-firmware (1.79.9) precise; urgency=low

  * Add Intel bluetooth files
    linux-firmware: Add firmware patch file for Intel Bluetooth device(3160)
    linux-firmware: update Intel Bluetooth firmware patch file
    Add Intel Bluetooth firmware patch files
    -LP: #1011423

linux-firmware (1.79.8) precise-proposed; urgency=low

  * Add firmware files for QCA9564(Aphrodite)
    -LP: #1245345
 -- Tim Gardner <email address hidden> Thu, 21 Nov 2013 09:41:21 -0700

Changed in linux-firmware (Ubuntu Precise):
status: Fix Committed → Fix Released
Changed in linux-firmware (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers